package com.ztmap.common.constant;

/**
 * 任务调度通用常量
 * 
 * @author ztmap
 */
public class ScheduleConstants
{
    public static final String TASK_CLASS_NAME = "TASK_CLASS_NAME";

    /** 执行目标key */
    public static final String TASK_PROPERTIES = "TASK_PROPERTIES";

    /** 默认 */
    public static final String MISFIRE_DEFAULT = "0";

    /** 立即触发执行 */
    public static final String MISFIRE_IGNORE_MISFIRES = "1";

    /** 触发一次执行 */
    public static final String MISFIRE_FIRE_AND_PROCEED = "2";

    /** 不触发立即执行 */
    public static final String MISFIRE_DO_NOTHING = "3";

    /**
     * 每天凌晨30分执行一次
     */
    public static final String RUN_DAY = "0 30 0 * * ? ";

    /**
     * 每周一凌晨30分执行一次
     */
    public static final String RUN_WEEK= "0 30 0 ? * MON";

    /**
     * 每月一号凌晨30分执行一次
     */
    public static final String RUN_MONTH= "0 30 0 1 * ?";

    public enum Status
    {
        /**
         * 正常
         */
        NORMAL("1"),
        /**
         * 暂停
         */
        PAUSE("2");

        private String value;

        private Status(String value)
        {
            this.value = value;
        }

        public String getValue()
        {
            return value;
        }
    }
}
