package com.ztmap.project.zhny.device.mapper;

import java.util.List;
import com.ztmap.project.zhny.device.domain.TDevice;

/**
 * 设备Mapper接口
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public interface TDeviceMapper 
{
    /**
     * 查询设备
     * 
     * @param id 设备ID
     * @return 设备
     */
    public TDevice selectTDeviceById(Long id);

    /**
     * 查询设备列表
     * 
     * @param tDevice 设备
     * @return 设备集合
     */
    public List<TDevice> selectTDeviceList(TDevice tDevice);

    /**
     * 新增设备
     * 
     * @param tDevice 设备
     * @return 结果
     */
    public int insertTDevice(TDevice tDevice);

    /**
     * 修改设备
     * 
     * @param tDevice 设备
     * @return 结果
     */
    public int updateTDevice(TDevice tDevice);

    /**
     * 删除设备
     * 
     * @param id 设备ID
     * @return 结果
     */
    public int deleteTDeviceById(Long id);

    /**
     * 批量删除设备
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTDeviceByIds(String[] ids);
}
