package com.ztmap.project.zhny.electricpowergeneration.mapper;

import java.util.List;
import com.ztmap.project.zhny.electricpowergeneration.domain.TElectricPowerGeneration;

/**
 * 发电量Mapper接口
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public interface TElectricPowerGenerationMapper 
{
    /**
     * 查询发电量
     * 
     * @param id 发电量ID
     * @return 发电量
     */
    public TElectricPowerGeneration selectTElectricPowerGenerationById(Long id);

    /**
     * 查询发电量列表
     * 
     * @param tElectricPowerGeneration 发电量
     * @return 发电量集合
     */
    public List<TElectricPowerGeneration> selectTElectricPowerGenerationList(TElectricPowerGeneration tElectricPowerGeneration);

    /**
     * 新增发电量
     * 
     * @param tElectricPowerGeneration 发电量
     * @return 结果
     */
    public int insertTElectricPowerGeneration(TElectricPowerGeneration tElectricPowerGeneration);

    /**
     * 修改发电量
     * 
     * @param tElectricPowerGeneration 发电量
     * @return 结果
     */
    public int updateTElectricPowerGeneration(TElectricPowerGeneration tElectricPowerGeneration);

    /**
     * 删除发电量
     * 
     * @param id 发电量ID
     * @return 结果
     */
    public int deleteTElectricPowerGenerationById(Long id);

    /**
     * 批量删除发电量
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTElectricPowerGenerationByIds(String[] ids);
}
