package com.ztmap.project.zhny.electricpowerquota.service;

import java.util.List;
import com.ztmap.project.zhny.electricpowerquota.domain.TElectricPowerQuota;

/**
 * 发电量指标Service接口
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public interface ITElectricPowerQuotaService 
{
    /**
     * 查询发电量指标
     * 
     * @param id 发电量指标ID
     * @return 发电量指标
     */
    public TElectricPowerQuota selectTElectricPowerQuotaById(Long id);

    /**
     * 查询发电量指标列表
     * 
     * @param tElectricPowerQuota 发电量指标
     * @return 发电量指标集合
     */
    public List<TElectricPowerQuota> selectTElectricPowerQuotaList(TElectricPowerQuota tElectricPowerQuota);

    /**
     * 新增发电量指标
     * 
     * @param tElectricPowerQuota 发电量指标
     * @return 结果
     */
    public int insertTElectricPowerQuota(TElectricPowerQuota tElectricPowerQuota);

    /**
     * 修改发电量指标
     * 
     * @param tElectricPowerQuota 发电量指标
     * @return 结果
     */
    public int updateTElectricPowerQuota(TElectricPowerQuota tElectricPowerQuota);

    /**
     * 批量删除发电量指标
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTElectricPowerQuotaByIds(String ids);

    /**
     * 删除发电量指标信息
     * 
     * @param id 发电量指标ID
     * @return 结果
     */
    public int deleteTElectricPowerQuotaById(Long id);
}
