package com.ztmap.project.zhny.energystoragecount.service;

import java.util.List;
import com.ztmap.project.zhny.energystoragecount.domain.TEnergyStorageChargeCount;

/**
 * 储能充能统计Service接口
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public interface ITEnergyStorageChargeCountService 
{
    /**
     * 查询储能充能统计
     * 
     * @param id 储能充能统计ID
     * @return 储能充能统计
     */
    public TEnergyStorageChargeCount selectTEnergyStorageChargeCountById(Long id);

    /**
     * 查询储能充能统计列表
     * 
     * @param tEnergyStorageChargeCount 储能充能统计
     * @return 储能充能统计集合
     */
    public List<TEnergyStorageChargeCount> selectTEnergyStorageChargeCountList(TEnergyStorageChargeCount tEnergyStorageChargeCount);

    /**
     * 新增储能充能统计
     * 
     * @param tEnergyStorageChargeCount 储能充能统计
     * @return 结果
     */
    public int insertTEnergyStorageChargeCount(TEnergyStorageChargeCount tEnergyStorageChargeCount);

    /**
     * 修改储能充能统计
     * 
     * @param tEnergyStorageChargeCount 储能充能统计
     * @return 结果
     */
    public int updateTEnergyStorageChargeCount(TEnergyStorageChargeCount tEnergyStorageChargeCount);

    /**
     * 批量删除储能充能统计
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTEnergyStorageChargeCountByIds(String ids);

    /**
     * 删除储能充能统计信息
     * 
     * @param id 储能充能统计ID
     * @return 结果
     */
    public int deleteTEnergyStorageChargeCountById(Long id);
}
