package com.ztmap.project.zhny.energystoragefdsdycs.mapper;

import java.util.List;
import com.ztmap.project.zhny.energystoragefdsdycs.domain.TEnergyStorageFdsdycs;

/**
 * 放电深度与次数Mapper接口
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public interface TEnergyStorageFdsdycsMapper 
{
    /**
     * 查询放电深度与次数
     * 
     * @param id 放电深度与次数ID
     * @return 放电深度与次数
     */
    public TEnergyStorageFdsdycs selectTEnergyStorageFdsdycsById(Long id);

    /**
     * 查询放电深度与次数列表
     * 
     * @param tEnergyStorageFdsdycs 放电深度与次数
     * @return 放电深度与次数集合
     */
    public List<TEnergyStorageFdsdycs> selectTEnergyStorageFdsdycsList(TEnergyStorageFdsdycs tEnergyStorageFdsdycs);

    /**
     * 新增放电深度与次数
     * 
     * @param tEnergyStorageFdsdycs 放电深度与次数
     * @return 结果
     */
    public int insertTEnergyStorageFdsdycs(TEnergyStorageFdsdycs tEnergyStorageFdsdycs);

    /**
     * 修改放电深度与次数
     * 
     * @param tEnergyStorageFdsdycs 放电深度与次数
     * @return 结果
     */
    public int updateTEnergyStorageFdsdycs(TEnergyStorageFdsdycs tEnergyStorageFdsdycs);

    /**
     * 删除放电深度与次数
     * 
     * @param id 放电深度与次数ID
     * @return 结果
     */
    public int deleteTEnergyStorageFdsdycsById(Long id);

    /**
     * 批量删除放电深度与次数
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTEnergyStorageFdsdycsByIds(String[] ids);
}
