package com.ztmap.project.zhny.energystoragestatus.mapper;

import java.util.List;
import com.ztmap.project.zhny.energystoragestatus.domain.TEnergyStorageStatus;

/**
 * 储能状态Mapper接口
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public interface TEnergyStorageStatusMapper 
{
    /**
     * 查询储能状态
     * 
     * @param id 储能状态ID
     * @return 储能状态
     */
    public TEnergyStorageStatus selectTEnergyStorageStatusById(Long id);

    /**
     * 查询储能状态列表
     * 
     * @param tEnergyStorageStatus 储能状态
     * @return 储能状态集合
     */
    public List<TEnergyStorageStatus> selectTEnergyStorageStatusList(TEnergyStorageStatus tEnergyStorageStatus);

    /**
     * 新增储能状态
     * 
     * @param tEnergyStorageStatus 储能状态
     * @return 结果
     */
    public int insertTEnergyStorageStatus(TEnergyStorageStatus tEnergyStorageStatus);

    /**
     * 修改储能状态
     * 
     * @param tEnergyStorageStatus 储能状态
     * @return 结果
     */
    public int updateTEnergyStorageStatus(TEnergyStorageStatus tEnergyStorageStatus);

    /**
     * 删除储能状态
     * 
     * @param id 储能状态ID
     * @return 结果
     */
    public int deleteTEnergyStorageStatusById(Long id);

    /**
     * 批量删除储能状态
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTEnergyStorageStatusByIds(String[] ids);
}
